Package com.macrofocus.high_d.scatterplotmatrix

# Interface ScatterPlotMatrixModel<Color,O,C>

All Known Implementing Classes:
  `AbstractScatterPlotMatrixModel`, `DefaultScatterPlotMatrixModel`

public interface ScatterPlotMatrixModel<Color,O,C>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addScatterPlotMatrixListener(ScatterPlotMatrixListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `int`
  `getAxisCount()`
  Returns the number of axis composing the parallel coordinates plot.
  `com.macrofocus.high_d.axis.group.AxisGroupModel`
  `getAxisGroupModel()`
  Gets all the axis composing this parallel coordinates plot.
  `com.macrofocus.high_d.axis.AxisModel`
  `getAxisModel(int index)`
  `com.macrofocus.coloring.MutableColoring<Color,O>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,O,C>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `MutableFilter<O>`
  `getFilter()`
  Obtains the model used for filtering objects in the scatter plot.
  `Double`
  `getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)`
  Gets the normalized location of an axis.
  `O`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<O>`
  `getProbing()`
  Obtains the model used for probing objects in the scatter plot (aka mouse over).
  `MutableSelection<O>`
  `getSelection()`
  Obtains the model used for selecting objects in the scatter plot.
  `com.macrofocus.visual.Visual<Color,O,C>`
  `getVisual()`
  `void`
  `removeScatterPlotMatrixListener(ScatterPlotMatrixListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.
  `void`
  `setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)`
  Sets the location of an axis within its group.

- ## Method Details

  - ### getVisual

    com.macrofocus.visual.Visual<Color,O,C> getVisual()

  - ### getProbing

    MutableSingleSelection<O> getProbing()
    Obtains the model used for probing objects in the scatter plot (aka mouse over).
    Returns:
      the model used for probing.

  - ### getSelection

    MutableSelection<O> getSelection()
    Obtains the model used for selecting objects in the scatter plot.
    Returns:
      the model used for selection.

  - ### getFilter

    MutableFilter<O> getFilter()
    Obtains the model used for filtering objects in the scatter plot.
    Returns:
      the model used for filtering.

  - ### getColorMapping

    com.macrofocus.colormapping.MutableColorMapping<Color,O,C> getColorMapping()
    Gets model holding the color mapping of each object.
    Returns:
      the model holding the color of each object.

  - ### getColoring

    com.macrofocus.coloring.MutableColoring<Color,O> getColoring()
    Gets model holding the colors of each object.
    Returns:
      the model holding the color of each object.

  - ### getObjectCount

    int getObjectCount()
    Returns the number of data objects (typically rows).
    Returns:
      the number of data objects

  - ### getObject

    O getObject(int index)
    Parameters:
      `index` -
    Returns:

  - ### getLocation

    Double getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)
    Gets the normalized location of an axis.
    Parameters:
      `axisModel` - the axis
    Returns:
      its normalized location within the group

  - ### getAxisCount

    int getAxisCount()
    Returns the number of axis composing the parallel coordinates plot.
    Returns:
      the number of axis

  - ### getAxisModel

    com.macrofocus.high_d.axis.AxisModel getAxisModel(int index)

  - ### getAxisGroupModel

    com.macrofocus.high_d.axis.group.AxisGroupModel getAxisGroupModel()
    Gets all the axis composing this parallel coordinates plot.
    Returns:

  - ### setLocation

    void setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)
    Sets the location of an axis within its group.
    Parameters:
      `axisModel` - the axis
      `l` - its normalized location

  - ### addScatterPlotMatrixListener

    void addScatterPlotMatrixListener(ScatterPlotMatrixListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Parameters:
      `listener` - the listener to add.

  - ### removeScatterPlotMatrixListener

    void removeScatterPlotMatrixListener(ScatterPlotMatrixListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Parameters:
      `listener` - the listener to remove.